package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysUnitVo;
import org.dromara.payment.sys.domain.bo.SysUnitBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.settlement.api.domain.UnitConfDetail;
import org.dromara.settlement.api.domain.UnitConfGroup;

import java.util.Collection;
import java.util.List;

/**
 * 单位基础信息Service接口
 *
 * @author LionLi
 * @date 2024-03-27
 */
public interface ISysUnitService {

    /**
     * 查询单位基础信息
     */
    SysUnitVo queryById(Long id);

    /**
     * 查询单位基础信息列表
     */
    TableDataInfo<SysUnitVo> queryPageList(SysUnitBo bo, PageQuery pageQuery);

    /**
     * 查询单位基础信息列表
     */
    List<SysUnitVo> queryList(SysUnitBo bo);

    /**
     * 新增单位基础信息
     */
    Boolean insertByBo(SysUnitBo bo);

    /**
     * 修改单位基础信息
     */
    Boolean updateByBo(SysUnitBo bo);

    /**
     * 校验并批量删除单位基础信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 获取单位配置大类下面的组信息
     * @param unit_id
     * @param class_alias
     * @return
     */
    public List<UnitConfGroup> getConfGroupByUnit(Long unit_id, String class_alias);

    /**
     * 根据配置组查询单位配置项明细
     * @param unit_id
     * @param conf_group
     * @return
     */
    public List<UnitConfDetail> getConfDetailByUnit(Long unit_id, String conf_group);

    /**
     * 编辑单位配置项明细
     * @param lendReco
     * @return
     */
    public Boolean editConfDetail(List<UnitConfDetail> lendReco);
}
